For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all sender domains
      • POSTCreate a new sender domain
      • DELDelete a sender domain
      • GETGet a sender domain configuration
      • PUTAuthenticate a sender domain
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsDomains

Authenticate a sender domain

PUT
https://api.brevo.com/v3/senders/domains/:domainName/authenticate
PUT
/v3/senders/domains/:domainName/authenticate
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.domains.authenticateDomain("domainName");
8}
9main();
1{
2 "domain_name": "mycompany.com",
3 "message": "Domain has been authenticated successfully."
4}
Authenticates a specific domain. Use this to: - Authenticate a domain - Verify DNS record configuration - Complete domain setup for sending - Enable domain for email authentication Key information returned: - Authentication success confirmation - Domain readiness status for email sending
Was this page helpful?
Previous

Get all webhooks

Next
Built with

Authenticates a specific domain.

Use this to:

  • Authenticate a domain
  • Verify DNS record configuration
  • Complete domain setup for sending
  • Enable domain for email authentication

Key information returned:

  • Authentication success confirmation
  • Domain readiness status for email sending

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

domainNamestringRequired
Domain name

Response

Domain authenticated successfully
domain_namestring
Domain name that was authenticated
messagestring
Success message confirming authentication

Errors

400
Bad Request Error
404
Not Found Error